<div class="dialog-content-wrapper">
    
    <mat-toolbar matDialogTitle class="{{secondColorBrand}} m-0">
        <mat-toolbar-row fxLayout="row" fxLayoutAlign="space-between center">
            <span class="title dialog-title h1">Transação # {{transaction['id']}}</span>

            <div fxLayout="row" fxFlex="1 0 auto" fxLayoutGap="10px">
                <div fxFlex="80"></div>
                <div fxFlex="20" fxLayoutAlign="end end">

            <button mat-raised-button  fxLayoutAlign="end center" [matMenuTriggerFor]="card20Menu" [ngClass]="primaryColorBrand">
                <mat-icon *ngIf="payment && payment.type == 'BOOKLET'">library_books</mat-icon> 
                <mat-icon *ngIf="payment && payment.type != 'BOOKLET'">credit_card</mat-icon> 
                &nbsp;&nbsp;&nbsp;&nbsp;Editar
            </button>

            <mat-menu #card20Menu="matMenu">
                <button fxLayout="row" fxLayoutAlign="start center" mat-menu-item *ngIf="payment && payment.type != 'BOOKLET' && ((transaction['status'] == 'FAILED') || (transaction['status'] == 'PENDING'))" >
                    <mat-icon >cloud_download</mat-icon>
                    <span>Enviar  Boleto</span>
                </button>
                <button fxLayout="row" fxLayoutAlign="start center"  *ngIf="payment && payment.type == 'BOOKLET'" mat-menu-item >
                        <mat-icon >cloud_download</mat-icon>
                        <span >Imprimir  Boleto</span>
                    </button>
                <button fxLayout="row" fxLayoutAlign="start center" *ngIf="(payment && payment.type != 'BOOKLET' && ((transaction['status'] == 'FAILED') || (transaction['status'] == 'PENDING')))" mat-menu-item >
                    <mat-icon >repeat</mat-icon>
                    <span>Nova Tentativa</span>
                </button>
                <button fxLayout="row" fxLayoutAlign="start center"  mat-menu-item>
                    <mat-icon >description</mat-icon>
                    <span>Contrato</span>
                </button>
                
            </mat-menu>
        </div>
    </div>
        </mat-toolbar-row>
    </mat-toolbar>
    
    <br>
    <mat-divider></mat-divider>
    <br>

    <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
            <div fxFlex="15" >
                <div fxLayout="column" fxLayoutAlign="start start">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Realizada em:</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <span class="h3 font-weight-300">{{transaction['dueDate'] | date: 'dd/MM/yyyy'}}</span>
                    </div>
                </div>
            </div>
            <div fxFlex="20" >
                <div fxLayout="column" fxLayoutAlign="start start" *ngIf="payment && payment.type != 'BOOKLET'">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Número do cartão</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div *ngIf="payment" class="h3 font-weight-300">{{payment?.creditCardNumber ? payment?.creditCardNumber : payment.debitCardNumber.substring(0, 4)+payment.debitCardNumber.substring(5, 7)+"******"+payment.debitCardNumber.substring(15, 19)}}</div>
                    </div>
                </div>

                <div fxLayout="column" fxLayoutAlign="start start" *ngIf="payment && payment.type == 'BOOKLET'">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Forma de Pagamento</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div *ngIf="payment" class="h3 font-weight-300">Boleto</div>
                    </div>
                </div>
            </div>
            <div fxFlex="15" >
                <div fxLayout="column" fxLayoutAlign="start start" *ngIf="payment && payment.type != 'BOOKLET'">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Bandeira</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start start">
                         <!-- <div *ngIf="payment" class="{{CreditCardBrandEnum(payment?.creditCardBrand)}} fa-2x"></div> -->
                         <div *ngIf="payment" class="h3 font-weight-300">{{payment?.creditCardBrand}}</div>
                    </div>
                </div>

                <div fxLayout="column" fxLayoutAlign="start start" *ngIf="payment && payment.type == 'BOOKLET'">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">id Boleto</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="center center">
                        <div *ngIf="payment" class="h3 font-weight-300">{{payment?.id}}</div>
                    </div>
                </div>
            </div>
            <div fxFlex="15" >
                <div fxLayout="column" fxLayoutAlign="start start" *ngIf="sale">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Parcelamento</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="center center">
                        <div class="h3 font-weight-300">{{sale['installments']}}x</div>
                    </div>
                </div>
            </div>
            <div fxFlex="35" >
                <div fxLayout="column" fxLayoutAlign="start start">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Status</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="end end">
                        <div class="h3 green-fg font-weight-300">{{PaymentStatusEnum(transaction['status'])}}</div>
                    </div>
                </div>  
            </div>
        </div>

        <br><br>

        <div fxLayout="row" fxLayoutAlign="start center" fxLayoutGap="10px">
           
            <div fxFlex="25" >
                <div fxLayout="column" fxLayoutAlign="start start">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Valor bruto da venda</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start start">
                            <!-- <div class="font-size-15" style="padding-top: 9px;">R$&nbsp;</div> -->
                        <div class="h1 font-weight-600">{{transaction['grossAmount'] | currency: 'BRL'}}</div>
                    </div>
                </div>
            </div>
            <div fxFlex="25" >
                <div fxLayout="column" fxLayoutAlign="start start">
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <div class="h5 secondary-text">Valor líquido da venda</div>
                    </div>
                    <div fxLayout="row" fxLayoutAlign="start start">
                        <!-- <div class="font-size-15" style="padding-top: 9px;">R$&nbsp;</div> -->
                        <div class="h1 font-weight-600">{{transaction['netAmount'] | currency: 'BRL'}}</div>
                    </div>
                </div>
            </div>
        </div>

        <br>
        <mat-divider></mat-divider>

        <mat-dialog-actions fxLayoutAlign="end end">
                <button mat-raised-button class="cta-button" color="accent" mat-dialog-close>Fechar</button>
        </mat-dialog-actions>
 
  
</div>